// Generated by using Rcpp::compileAttributes() -> do not edit by hand
// Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#include <Rcpp.h>

using namespace Rcpp;

// rcpp_hello_world
List rcpp_hello_world();
RcppExport SEXP _simReadCount_rcpp_hello_world() {
BEGIN_RCPP
    Rcpp::RObject rcpp_result_gen;
    Rcpp::RNGScope rcpp_rngScope_gen;
    rcpp_result_gen = Rcpp::wrap(rcpp_hello_world());
    return rcpp_result_gen;
END_RCPP
}
// simReadCount
NumericVector simReadCount(NumericVector sampledInt_sorted, NumericVector cumSplReadCnt);
RcppExport SEXP _simReadCount_simReadCount(SEXP sampledInt_sortedSEXP, SEXP cumSplReadCntSEXP) {
BEGIN_RCPP
    Rcpp::RObject rcpp_result_gen;
    Rcpp::RNGScope rcpp_rngScope_gen;
    Rcpp::traits::input_parameter< NumericVector >::type sampledInt_sorted(sampledInt_sortedSEXP);
    Rcpp::traits::input_parameter< NumericVector >::type cumSplReadCnt(cumSplReadCntSEXP);
    rcpp_result_gen = Rcpp::wrap(simReadCount(sampledInt_sorted, cumSplReadCnt));
    return rcpp_result_gen;
END_RCPP
}

static const R_CallMethodDef CallEntries[] = {
    {"_simReadCount_rcpp_hello_world", (DL_FUNC) &_simReadCount_rcpp_hello_world, 0},
    {"_simReadCount_simReadCount", (DL_FUNC) &_simReadCount_simReadCount, 2},
    {NULL, NULL, 0}
};

RcppExport void R_init_simReadCount(DllInfo *dll) {
    R_registerRoutines(dll, NULL, CallEntries, NULL, NULL);
    R_useDynamicSymbols(dll, FALSE);
}
